directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pierre-Arnaud Marcelot ...@marcelot.net>
Subject Re: [ApacheDS] Build issue and Java 5 compatibility (Fwd: Build failed in Jenkins: dir-apacheds-jdk15-ubuntu-deploy #310)
Date Fri, 01 Jul 2011 11:36:45 GMT
How about launching a more formal vote about this ?
I think such an important change deserves a real 72 hours vote.

Kiran suggested me on IM that we also take some feedback from users via a notice mail on the
users ML.
I think it's a very good idea and we should do that prior to the vote.

Lastly, we've seen that moving ApacheDS to Java 6 only implicates that Studio should do the
same.
What about the LDAP API ?
There's no technical reason to move it to Java 6 only, except the fact that we want to unify
all our sub-projects.

WDYT?

Regards,
Pierre-Arnaud


On 30 juin 2011, at 15:23, Alex Karasulu wrote:

> On Thu, Jun 30, 2011 at 12:42 PM, Emmanuel Lecharny <elecharny@gmail.com> wrote:
> 
> SNIP ...
> 
>>> I see too possible workarounds:
>>> - we switch back to a version of ActiveMQ still compiled using Java 5
>>> - we move our compilation for ApacheDS from Java 5 to Java 6
>>>   (This also implicitly indicates that we will do the same for Studio as
>>> it depends on the latest version of ApacheDS)
>>> 
>>> What are your thoughts about this?
>> 
>> Let's get rid of Java 5.
> 
> +1
> 
> Regards,
> Alex


Mime
View raw message